package org.gvsig.example.memory;

import java.awt.Shape;
import java.util.ArrayList;

import com.hardcode.gdbms.engine.values.Value;
import com.hardcode.gdbms.engine.values.ValueFactory;
import com.iver.andami.PluginServices;
import com.iver.andami.plugins.Extension;
import com.iver.andami.ui.mdiManager.IWindow;
import com.iver.cit.gvsig.fmap.MapControl;
import com.iver.cit.gvsig.fmap.core.FPoint2D;
import com.iver.cit.gvsig.fmap.core.FShape;
import com.iver.cit.gvsig.fmap.drivers.ConcreteMemoryDriver;
import com.iver.cit.gvsig.fmap.layers.FLayer;
import com.iver.cit.gvsig.fmap.layers.LayerFactory;
import com.iver.cit.gvsig.project.documents.view.gui.View;

public class CreateMemoryPointsLayer extends Extension {
	
	public void initialize() {
		
	}
	
	public void execute(String actionCommand) {
		View v = (View) PluginServices.getMDIManager().getActiveWindow();
		MapControl mapCtrl = v.getMapControl();		 
		
		/****************** COMPLETAR ********************
		 * Crear un driver de puntos
		 */	        
		ConcreteMemoryDriver driver = new ConcreteMemoryDriver();
		
		/****************** FIN COMPLETAR *******************/
		
		ArrayList arrayFields = new ArrayList();
		arrayFields.add("ID");
		Value[] auxRow = new Value[1];
		
		driver.getTableModel().setColumnIdentifiers(arrayFields.toArray());
		
		// ATRIBUTES
		auxRow[0] = ValueFactory.createValue(0);
		
		
		/****************** COMPLETAR ********************
		 * Crear algunos puntos e insertarlos
		 */	        
		
		/****************** FIN COMPLETAR *******************/
		
		
		// CREATE AND ADD LAYER
		FLayer lyr;
		String layerName = "Example";
		
		lyr = LayerFactory.createLayer(layerName,driver, mapCtrl.getProjection());
		
		if (lyr != null) {
			lyr.setVisible(true);
			mapCtrl.getMapContext().getLayers().addLayer(lyr);
			
		}
		
		
		
	}
	
	public boolean isEnabled() {
		return true;
	}
	
	public boolean isVisible() {
		IWindow v = PluginServices.getMDIManager().getActiveWindow();
		
		if  (v instanceof View)
			return true;
		else
			return false;
	}
	
}
